Bug 1023832 - guava: please package upstream version 1.15
Summary: guava: please package upstream version 1.15
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: guava
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mikolaj Izdebski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1023848
TreeView+ depends on / blocked
 
Reported: 2013-10-28 03:50 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2014-02-19 20:23 UTC (History)
5 users (show)

Fixed In Version: 15.0-1
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-08 13:11:53 UTC


Attachments (Terms of Use)
patch for guava.git package repo to update to version 1.15 (1.85 KB, patch)
2013-10-28 04:11 UTC, Zbigniew Jędrzejewski-Szmek
no flags Details | Diff

Description Zbigniew Jędrzejewski-Szmek 2013-10-28 03:50:54 UTC
Description of problem:
Upstream is at 1.15, Fedora is at 1.13. I need updated guava as a dependency for closure-compiler.

Version-Release number of selected component (if applicable):
guava-13.0-3.fc19.noarch

Comment 1 Zbigniew Jędrzejewski-Szmek 2013-10-28 04:11:45 UTC
Created attachment 816690 [details]
patch for guava.git package repo to update to version 1.15

Seems to build fine, xmvn which uses guava still runs :)

Comment 2 Mikolaj Izdebski 2013-10-29 09:57:24 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> Created attachment 816690 [details]
> patch for guava.git package repo to update to version 1.15
> 
> Seems to build fine, xmvn which uses guava still runs :)

Thanks for the patch.

It builds fine, but for me it breaks Maven (and possibly other applications too).
I'll look into updating guava, but it can take some time as I need to verify all dependant packages work or port them.

For more info see:
https://lists.fedoraproject.org/pipermail/java-devel/2013-October/005017.html

Comment 3 Gerard Ryan 2013-11-23 23:05:16 UTC
With this patch, the command:
spectool -g -S guava.spec

downloads a file with a different md5sum than the one in sources file (for me at least). This seems quite odd. :-/

The one I get:

[grdryn@localhost guava ↑⚡(master)]$ md5sum v15.0.zip 
491cfb90b7f0ffb77ee3c6e4df4c59bf  v15.0.zip

The one in patch (https://bugzilla.redhat.com/attachment.cgi?id=816690&action=diff#a/sources_sec1):

[grdryn@localhost guava ↑⚡(master)]$ cat sources 
67df359de6188e54aac4c7c1a48f7613  v15.0.zip

Comment 4 Zbigniew Jędrzejewski-Szmek 2013-11-28 06:44:49 UTC
(In reply to Gerard Ryan from comment #3)
> With this patch, the command:
> spectool -g -S guava.spec
> 
> downloads a file with a different md5sum than the one in sources file (for
> me at least). This seems quite odd. :-/
That's the wonderfulness of googlecode.com :) They entertain us by providing a uniquely tailored, differently-checksumming file on each download. Contents are the same, just differently ordered.

Comment 5 Dridi Boukelmoune 2014-01-02 10:55:34 UTC
I have opened an issue for the sources download problem:
http://code.google.com/p/support/issues/detail?id=31276

If you have a google account, please do not hesitate to star it. In the mean time, the upgrade could simply be a bump of the commit hash ?

Comment 6 Mikolaj Izdebski 2014-01-08 10:47:08 UTC
Fixed in guava-15.0-1

Comment 7 Mikolaj Izdebski 2014-01-08 13:11:53 UTC
I believe that this bug is fixed in guava-15.0-1,
which is available in Fedora Rawhide, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=488942

This bug was fixed in the next release of Fedora, and is not planned
to be fixed in the release it was filed against.  If you want this bug
to be fixed in updates for Fedora 20, please say so in a comment.
Otherwise you can update to the newer release of Fedora to get the fix.

Comment 8 Gerard Ryan 2014-02-19 20:23:07 UTC
Hi Mikolaj,

I'm looking to see if eclipse-m2e-core 1.5 will fix any of the problems that we see with 1.4. I want to build this updated guava locally so that I can build aether-connector-okhttp to test. I get this built and installed in mock, but I think there might be fixes or rebuilds needed for other packages, are there? I get a seemingly guava related exception when trying to build aether-connector-okhttp with this installed:

Exception in thread "main" java.lang.IllegalAccessError: tried to access method com.google.common.collect.MapMaker.makeComputingMap(Lcom/google/common/base/Function;)Ljava/util/concurrent/ConcurrentMap; from class com.google.inject.internal.Annotations$AnnotationChecker
        at com.google.inject.internal.Annotations$AnnotationChecker.<init>(Annotations.java:104)
[...]

Can you tell me if you had to rebuild or fix any other packages in rawhide after updating this? Thanks.


Note You need to log in before you can comment on or make changes to this bug.